FX Revaluation
Foreign currency revaluation
Preview FX revaluation
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId*string
Format
uuidbookId*string
Format
uuidasOfDate*string
Format
dateResponse Body
application/json
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/fx-revaluation?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&bookId=497f6eca-6276-4993-bfeb-53cbbbba6f08&asOfDate=2019-08-24"{}{
"error": "string"
}{
"error": "string"
}Execute FX revaluation
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/fx-revaluation" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "bookId": "710266f4-0087-48f9-97e1-4b13ac48f353", "asOfDate": "2019-08-24" }'{}{
"error": "string"
}{
"error": "string"
}